Bug 114136 - audio/gstreamer-plugins-ivorbis does not compile because of missing vorbisdec.h
Summary: audio/gstreamer-plugins-ivorbis does not compile because of missing vorbisdec.h
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-multimedia mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-29 18:20 UTC by Dominic Fandrey
Modified: 2007-07-05 21:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Fandrey 2007-06-29 18:20:02 UTC
The port audio/gstreamer-plugins-ivorbis does not build, because a file called vorbisdec.h is missing. I have the problem on 2 machines, others have reported it on the freebsd-ports@freebsd.org mailing list.

# portupgrade -Rf audio/gstreamer-plugins-ivorbis

does not solve this.

How-To-Repeat: # cd /usr/ports/audio/gstreamer-plugins-ivorbis
# make
Comment 1 Edwin Groothuis freebsd_committer 2007-06-29 18:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Over to maintainer
Comment 2 Jeremy Messenger freebsd_committer 2007-07-04 20:47:30 UTC
State Changed
From-To: open->closed

Fixed, thanks for report!
Comment 3 Dominic Fandrey 2007-07-05 09:34:53 UTC
The problem persists for me. I don't see any special instructions in
/usr/ports/UPDATING, so if it was really fixed, I think a portupgrade -a should
not fail with the very same error, vorbisdec.h missing.

On first glance I only see that PORTREVISION was bumped. I don't see how this
would make a missing file magically appear. For me it doesn't.
Comment 4 Jeremy Messenger freebsd_committer 2007-07-05 17:48:34 UTC
State Changed
From-To: closed->open

Okay, looks like I was wrong about fix. It doesn't fix. Hey ahze, 
any idea why gstreamer-plugins-vorbis doesn't install vorbisdec.h? Or do 
we need a new port for gstreamer-plugins-ivorbis?
Comment 5 dfilter service freebsd_committer 2007-07-05 21:31:54 UTC
mezz        2007-07-05 20:31:49 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/gstreamer-plugins Makefile.common 
  Added files:
    multimedia/gstreamer-plugins-bad/files patch-add_missing_files 
  Log:
  -Remove an incorrect dependency that I have added in the previous committed.
  -Fix the build by add two missing files. These files were took from its CVS.
  
  PR:             ports/114136
  Reported by:    Dominic Fandrey <lon_kamikaze@gmx.de>
  
  Revision  Changes    Path
  1.1       +195 -0    ports/multimedia/gstreamer-plugins-bad/files/patch-add_missing_files (new)
  1.59      +1 -2      ports/multimedia/gstreamer-plugins/Makefile.common
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Jeremy Messenger freebsd_committer 2007-07-05 21:32:31 UTC
State Changed
From-To: open->closed

Should be fixed this time. Thanks for report again!